## lastpass-cli 0.3.0

=== Makefile ===
PREFIX ?= /usr
DESTDIR ?=
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib
MANDIR ?= $(PREFIX)/share/man

CFLAGS ?= -O3 -march=native -fomit-frame-pointer -pipe
CFLAGS += -std=gnu99 -D_GNU_SOURCE
CFLAGS += -pedantic -Wall -Wextra -Wno-language-extension-token
CFLAGS += -MMD

UNAME_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
ifeq ($(UNAME_S),Darwin)
SDKROOT ?= $(shell xcodebuild -version -sdk macosx | sed -n 's/^Path: \(.*\)/\1/p')
CFLAGS += -Wno-deprecated-declarations -isysroot $(SDKROOT) -I$(SDKROOT)/usr/include/libxml2
LDLIBS = -lcurl -lxml2 -lssl -lcrypto
else
CFLAGS += $(shell pkg-config --cflags libxml-2.0 2>/dev/null || echo -I/usr/include/libxml2)
LDLIBS = -lcurl $(shell pkg-config --libs libxml-2.0 2>/dev/null || echo -lxml2) -lssl -lcrypto
endif

all: lpass
doc-man: lpass.1
doc-html: lpass.1.html
doc: doc-man doc-html

lpass: $(patsubst %.c,%.o,$(wildcard *.c))
%.1: %.1.txt
	a2x --no-xmllint -f manpage $<
%.1.html: %.1.txt
	asciidoc -b html5 -a data-uri -a icons -a toc2 $<

http.c: certificate.h
certificate.h: thawte.pem
	awk 'BEGIN {printf "#define CERTIFICATE_THAWTE \""} {printf "%s\\n", $$0} END {printf "\"\n"}' thawte.pem > certificate.h || rm -f certificate.h

install-doc: doc-man
	@install -v -d "$(DESTDIR)$(MANDIR)/man1" && install -m 0644 -v lpass.1 "$(DESTDIR)$(MANDIR)/man1/lpass.1"

install: all
	@install -v -d "$(DESTDIR)$(BINDIR)" && install -s -m 0755 -v lpass "$(DESTDIR)$(BINDIR)/lpass"

uninstall:
	@rm -vrf "$(DESTDIR)$(MANDIR)/man1/lpass.1" "$(DESTDIR)$(BINDIR)/lpass"
	@rmdir "$(DESTDIR)$(MANDIR)/man1" "$(DESTDIR)$(BINDIR)" 2>/dev/null || true

clean:
	rm -f lpass *.o *.d lpass.1 lpass.1.html certificate.h lpass.exe

analyze: clean
	CFLAGS=-g scan-build -enable-checker alpha.core -enable-checker alpha.deadcode -enable-checker alpha.security -enable-checker alpha.unix -enable-checker security -enable-checker core -enable-checker deadcode -enable-checker unix -disable-checker alpha.core.PointerSub --view --keep-going $(MAKE) lpass

.PHONY: all doc doc-man doc-html test-deps clean analyze

-include *.d

=== debian/changelog ===
lastpass-cli (0.3.0-2+deb8u1) stable; urgency=medium

  * Update upstream CA certificate (Closes: #786862)

 -- Troy Heber <troyh@debian.org>  Tue, 26 May 2015 13:34:23 -0600

lastpass-cli (0.3.0-2) unstable; urgency=medium

  * Update copyright file to machine readable format and include the ISC
    license from util.c

 -- Troy Heber <troyh@debian.org>  Sun, 26 Oct 2014 11:17:58 -0600

lastpass-cli (0.3.0-1) unstable; urgency=low

  * Initial Release (Closes: #766497)

 -- Troy Heber <troyh@debian.org>  Thu, 23 Oct 2014 09:05:14 -0600

=== debian/control ===
Source: lastpass-cli
Section: utils
Priority: optional
Maintainer: Troy Heber <troyh@debian.org>
Build-Depends: debhelper (>= 9), quilt (>= 0.47), libssl-dev, libxml2-dev, libcurl4-openssl-dev, asciidoc, xsltproc, docbook-xsl
Standards-Version: 3.9.5.0

Package: lastpass-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils
Description: command line interface to LastPass.com
 This application is a command line interface to the LastPass.com services. It
 brings both better security and convenience by allowing you to access, add,
 modify, and delete entries in your online LastPass vault, all from the
 terminal. You can also generate passwords for every server you use and
 securely store those passwords directly in LastPass. LastPass Enterprise
 features are supported as well, including Shared Folders.
 .
 Users who prefer the command line can access their data directly with “lpass
 ls” then using “lpass show -c --password Sitename” to put the Sitename
 password on the copy buffer. You can utilize “lpass show” to store passwords
 used in scripts, rather than putting passwords in the scripts themselves.
 LastPass can also be used as you work within the command line to help you
 login to servers. We’ve included some example scripts below.
 .
 The new tool is beneficial for LastPass users who want to use the command
 line to login to other machines as they work. There are examples such as
 contrib/examples/change-ssh-password.sh which shows automated password
 changing on a server. You could run it automatically on a nightly basis,
 regularly changing the password on the server as a security measure.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,
export DEB_CFLAGS_MAINT_APPEND  = -Wall -fno-aggressive-loop-optimizations
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

## lastpass-cli 0.5.0

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,11 @@
 CFLAGS += -Wno-deprecated-declarations -isysroot $(SDKROOT) -I$(SDKROOT)/usr/include/libxml2
 LDLIBS = -lcurl -lxml2 -lssl -lcrypto
 else
-CFLAGS += $(shell pkg-config --cflags libxml-2.0 2>/dev/null || echo -I/usr/include/libxml2)
+CFLAGS += $(shell pkg-config --cflags libxml-2.0 2>/dev/null || echo -I/usr/include/libxml2) -I/usr/local/include
 LDLIBS = -lcurl $(shell pkg-config --libs libxml-2.0 2>/dev/null || echo -lxml2) -lssl -lcrypto
+ifeq ($(UNAME_S),OpenBSD)
+LDLIBS += -lkvm
+endif
 endif
 
 all: lpass

=== debian/changelog ===
lastpass-cli (0.5.0-1) unstable; urgency=medium

  * Include new SHA-256 CA certificate
  * Add basic regex search functionality
  * Fix hang in pinentry prompt

 -- Troy Heber <troyh@debian.org>  Tue, 26 May 2015 07:13:36 -0600

## lastpass-cli 0.7.0

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	@install -v -d "$(DESTDIR)$(MANDIR)/man1" && install -m 0644 -v lpass.1 "$(DESTDIR)$(MANDIR)/man1/lpass.1"
 
 install: all
-	@install -v -d "$(DESTDIR)$(BINDIR)" && install -s -m 0755 -v lpass "$(DESTDIR)$(BINDIR)/lpass"
+	@install -v -d "$(DESTDIR)$(BINDIR)" && install -m 0755 -v lpass "$(DESTDIR)$(BINDIR)/lpass"
 
 uninstall:
 	@rm -vrf "$(DESTDIR)$(MANDIR)/man1/lpass.1" "$(DESTDIR)$(BINDIR)/lpass"

=== debian/changelog ===
lastpass-cli (0.7.0-1) unstable; urgency=medium

  * New upstream 0.7.0

 -- Troy Heber <troyh@debian.org>  Wed, 16 Dec 2015 16:13:42 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Troy Heber <troyh@debian.org>
 Build-Depends: debhelper (>= 9), quilt (>= 0.47), libssl-dev, libxml2-dev, libcurl4-openssl-dev, asciidoc, xsltproc, docbook-xsl
-Standards-Version: 3.9.5.0
+Standards-Version: 3.9.6.0
 
 Package: lastpass-cli
 Architecture: any

## lastpass-cli 0.8.1

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,10 @@
 
 UNAME_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
 ifeq ($(UNAME_S),Darwin)
+HAS_XCODE := $(shell sh -c 'xcodebuild -version 2>/dev/null && echo 1')
+endif
+
+ifeq ($(HAS_XCODE),1)
 SDKROOT ?= $(shell xcodebuild -version -sdk macosx | sed -n 's/^Path: \(.*\)/\1/p')
 CFLAGS += -Wno-deprecated-declarations -isysroot $(SDKROOT) -I$(SDKROOT)/usr/include/libxml2
 LDLIBS = -lcurl -lxml2 -lssl -lcrypto
@@ -33,10 +37,6 @@
 %.1.html: %.1.txt
 	asciidoc -b html5 -a data-uri -a icons -a toc2 $<
 
-http.c: certificate.h
-certificate.h: thawte.pem
-	awk 'BEGIN {printf "#define CERTIFICATE_THAWTE \""} {printf "%s\\n", $$0} END {printf "\"\n"}' thawte.pem > certificate.h || rm -f certificate.h
-
 install-doc: doc-man
 	@install -v -d "$(DESTDIR)$(MANDIR)/man1" && install -m 0644 -v lpass.1 "$(DESTDIR)$(MANDIR)/man1/lpass.1"

=== debian/changelog ===
lastpass-cli (0.8.1-1) unstable; urgency=medium

  * New upstream 0.8.1

 -- Troy Heber <troyh@debian.org>  Thu, 18 Feb 2016 13:22:53 -0700

## lastpass-cli 1.0.0

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 BINDIR ?= $(PREFIX)/bin
 LIBDIR ?= $(PREFIX)/lib
 MANDIR ?= $(PREFIX)/share/man
+COMPDIR ?= $(shell pkg-config --variable=completionsdir bash-completion 2>/dev/null || echo $(PREFIX)/share/bash-completion/completions)
 
 CFLAGS ?= -O3 -march=native -fomit-frame-pointer -pipe
 CFLAGS += -std=gnu99 -D_GNU_SOURCE
@@ -12,11 +13,13 @@
 UNAME_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
 ifeq ($(UNAME_S),Darwin)
 HAS_XCODE := $(shell sh -c 'xcodebuild -version 2>/dev/null && echo 1')
+CFLAGS += -Wno-deprecated-declarations -I/usr/local/opt/openssl/include
+LDFLAGS += -L/usr/local/opt/openssl/lib
 endif
 
 ifeq ($(HAS_XCODE),1)
 SDKROOT ?= $(shell xcodebuild -version -sdk macosx | sed -n 's/^Path: \(.*\)/\1/p')
-CFLAGS += -Wno-deprecated-declarations -isysroot $(SDKROOT) -I$(SDKROOT)/usr/include/libxml2
+CFLAGS += -isysroot $(SDKROOT) -I$(SDKROOT)/usr/include/libxml2
 LDLIBS = -lcurl -lxml2 -lssl -lcrypto
 else
 CFLAGS += $(shell pkg-config --cflags libxml-2.0 2>/dev/null || echo -I/usr/include/libxml2) -I/usr/local/include
@@ -42,9 +45,10 @@
 
 install: all
 	@install -v -d "$(DESTDIR)$(BINDIR)" && install -m 0755 -v lpass "$(DESTDIR)$(BINDIR)/lpass"
+	@install -v -d "$(DESTDIR)$(COMPDIR)" && install -m 0644 -v contrib/lpass_bash_completion "$(DESTDIR)$(COMPDIR)/lpass"
 
 uninstall:
-	@rm -vrf "$(DESTDIR)$(MANDIR)/man1/lpass.1" "$(DESTDIR)$(BINDIR)/lpass"
+	@rm -vrf "$(DESTDIR)$(MANDIR)/man1/lpass.1" "$(DESTDIR)$(BINDIR)/lpass" "$(DESTDIR)$(COMPDIR)/lpass"
 	@rmdir "$(DESTDIR)$(MANDIR)/man1" "$(DESTDIR)$(BINDIR)" 2>/dev/null || true
 
 clean:

=== debian/changelog ===
lastpass-cli (1.0.0-1.2ubuntu2) bionic; urgency=medium

  * Add debian/patches/0004-revert-removed-certificate-pins.patch:
    - Cherry-pick upstream commit b888411 to revert 46e2a0f
      that disabled some GlobalSign intermediate certificates.
    - This make the client start working again after the LastPass
      servers updated their certificate (LP: #1555562).

 -- Nafallo BjÃ¤levik <nafallo@ubuntu.com>  Thu, 17 May 2018 14:18:00 +0000

lastpass-cli (1.0.0-1.2ubuntu1) bionic; urgency=medium

  * Switch build-dependencies back to openssl 1.1.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 21:09:46 +0000

lastpass-cli (1.0.0-1.2build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 07:03:22 +0000

lastpass-cli (1.0.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to openssl 1.0 (Closes: #850882).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 31 Jan 2017 21:05:57 +0100

lastpass-cli (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Get it built against openssl 1.1.0 (Closes: #828371).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 06 Dec 2016 21:10:47 +0100

lastpass-cli (1.0.0-1) unstable; urgency=medium

  * New upstream 1.0.0

 -- Troy Heber <troyh@debian.org>  Thu, 20 Oct 2016 08:17:08 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: lastpass-cli
 Section: utils
 Priority: optional
-Maintainer: Troy Heber <troyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Troy Heber <troyh@debian.org>
 Build-Depends: debhelper (>= 9), quilt (>= 0.47), libssl-dev, libxml2-dev, libcurl4-openssl-dev, asciidoc, xsltproc, docbook-xsl
-Standards-Version: 3.9.6.0
+Standards-Version: 3.9.8.0
 
 Package: lastpass-cli
 Architecture: any

## lastpass-cli 1.3.1

=== CMakeLists.txt ===
set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake > 2.8.4 is required
cmake_minimum_required(VERSION 2.8)

project(lpass)

include(GNUInstallDirs)

find_package(PkgConfig REQUIRED)

# pkg_get_variable is not available until CMake >= 3.4.0
# Debian stable still packages CMake 3.0.2
function(pkg_check_variable _pkg _name)
  string(TOUPPER ${_pkg} _pkg_upper)
  string(TOUPPER ${_name} _name_upper)
  string(REPLACE "-" "_" _pkg_upper ${_pkg_upper})
  string(REPLACE "-" "_" _name_upper ${_name_upper})
  set(_output_name "${_pkg_upper}_${_name_upper}")

  execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=${_name} ${_pkg}
                  OUTPUT_VARIABLE _pkg_result
                  OUTPUT_STRIP_TRAILING_WHITESPACE)

  set("${_output_name}" "${_pkg_result}" CACHE STRING "pkg-config variable ${_name} of ${_pkg}")
endfunction()

if((APPLE) AND (NOT DEFINED OPENSSL_ROOT_DIR))
  set(OPENSSL_ROOT_DIR "/usr/local/opt/openssl")
endif()

find_package(LibXml2 REQUIRED)
include_directories(${LIBXML2_INCLUDE_DIR})

find_package(OpenSSL REQUIRED)
include_directories(${OPENSSL_INCLUDE_DIR})

find_package(CURL REQUIRED)
include_directories(${CURL_INCLUDE_DIR})

pkg_check_variable(bash-completion completionsdir)

set(PROJECT_NAME lpass)

file(GLOB PROJECT_HEADERS *.h)
file(GLOB PROJECT_SOURCES *.c)

set(PROJECT_DEFINITIONS "_GNU_SOURCE")

set(PROJECT_FLAGS "-std=gnu99 -pedantic -Wall -Wextra -Wno-language-extension-token")
if(APPLE)
  set(PROJECT_FLAGS "${PROJECT_FLAGS} -Wno-deprecated-declarations")
endif()

# Main lpass executable
add_executable(${PROJECT_NAME} ${PROJECT_HEADERS} ${PROJECT_SOURCES})
set_target_properties(${PROJECT_NAME} PROPERTIES
  C_STANDARD 99
  COMPILE_FLAGS ${PROJECT_FLAGS}
  COMPILE_DEFINITIONS ${PROJECT_DEFINITIONS}
)

target_link_libraries(${PROJECT_NAME} ${LIBXML2_LIBRARIES} ${OPENSSL_LIBRARIES} ${CURL_LIBRARIES})
if (CMAKE_SYSTEM_NAME MATCHES "OpenBSD")
  target_link_libraries(${PROJECT_NAME} "-lkvm")
endif (CMAKE_SYSTEM_NAME MATCHES "OpenBSD")

add_custom_command(OUTPUT lpass.1 DEPENDS ${CMAKE_SOURCE_DIR}/lpass.1.txt
        COMMAND a2x -D ./ --no-xmllint -f manpage ${CMAKE_SOURCE_DIR}/lpass.1.txt)
add_custom_command(OUTPUT lpass.1.html DEPENDS ${CMAKE_SOURCE_DIR}/lpass.1.txt
        COMMAND asciidoc -b html5 -a data-uri -a icons -a toc2 -o lpass.1.html ${CMAKE_SOURCE_DIR}/lpass.1.txt)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin)
if(BASH_COMPLETION_COMPLETIONSDIR)
install(FILES contrib/lpass_bash_completion DESTINATION ${BASH_COMPLETION_COMPLETIONSDIR} RENAME lpass)
endif()

# Test lpass executable with mock server, link against test versions first
file(GLOB LPTEST_SOURCES test/*.c *.c)
add_executable(lpass-test EXCLUDE_FROM_ALL ${PROJECT_HEADERS} ${LPTEST_SOURCES})
set_target_properties(lpass-test PROPERTIES
  C_STANDARD 99
  COMPILE_FLAGS "${PROJECT_FLAGS} -DTEST_BUILD"
  COMPILE_DEFINITIONS ${PROJECT_DEFINITIONS}
)
target_link_libraries(lpass-test ${LIBXML2_LIBRARIES} ${OPENSSL_LIBRARIES} ${CURL_LIBRARIES})
if (CMAKE_SYSTEM_NAME MATCHES "OpenBSD")
  target_link_libraries(lpass-test "-lkvm")
endif (CMAKE_SYSTEM_NAME MATCHES "OpenBSD")
enable_testing()
add_test(test_login ${CMAKE_SOURCE_DIR}/test/tests test_login)
add_test(test_login_wrong_pw_should_fail ${CMAKE_SOURCE_DIR}/test/tests test_login_wrong_pw_should_fail)
add_test(test_add_account ${CMAKE_SOURCE_DIR}/test/tests test_add_account)
add_test(test_add_note ${CMAKE_SOURCE_DIR}/test/tests test_add_note)
add_test(test_add_note_with_field ${CMAKE_SOURCE_DIR}/test/tests test_add_note_with_field)
add_test(test_add_site_note ${CMAKE_SOURCE_DIR}/test/tests test_add_site_note)
add_test(test_add_ssn_name ${CMAKE_SOURCE_DIR}/test/tests test_add_ssn_name)
add_test(test_add_ssh_key ${CMAKE_SOURCE_DIR}/test/tests test_add_ssh_key)
add_test(test_edit_ssh_key ${CMAKE_SOURCE_DIR}/test/tests test_edit_ssh_key)
add_test(test_edit_username ${CMAKE_SOURCE_DIR}/test/tests test_edit_username)
add_test(test_edit_field ${CMAKE_SOURCE_DIR}/test/tests test_edit_field)
add_test(test_edit_reprompt ${CMAKE_SOURCE_DIR}/test/tests test_edit_reprompt)
add_test(test_duplicate ${CMAKE_SOURCE_DIR}/test/tests test_duplicate)
add_test(test_generate ${CMAKE_SOURCE_DIR}/test/tests test_generate)
add_test(test_show ${CMAKE_SOURCE_DIR}/test/tests test_show)
add_test(test_show_json ${CMAKE_SOURCE_DIR}/test/tests test_show_json)
add_test(test_show_note ${CMAKE_SOURCE_DIR}/test/tests test_show_note)
add_test(test_show_reprompt ${CMAKE_SOURCE_DIR}/test/tests test_show_reprompt)
add_test(test_ls ${CMAKE_SOURCE_DIR}/test/tests test_ls)
add_test(test_export ${CMAKE_SOURCE_DIR}/test/tests test_export)
add_test(test_export_extended ${CMAKE_SOURCE_DIR}/test/tests test_export_extended)

add_custom_target(doc-man DEPENDS lpass.1)
add_custom_target(doc-html DEPENDS lpass.1.html)
# See https://cmake.org/pipermail/cmake/2009-January/026520.html
add_custom_target(install-doc COMMAND ${CMAKE_COMMAND} -DMANDIR=${CMAKE_INSTALL_FULL_MANDIR} -P ${CMAKE_SOURCE_DIR}/cmake_extras/install_doc.cmake DEPENDS doc-man)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -DPROJECT_NAME=${PROJECT_NAME} -DMANDIR=${CMAKE_INSTALL_FULL_MANDIR} -P ${CMAKE_SOURCE_DIR}/cmake_extras/uninstall.cmake)

=== debian/changelog ===
lastpass-cli (1.3.1-7) unstable; urgency=medium

  * Pass VERBOSE=1 for non-quiet build logs.
  * Bump Standards-Version to 4.3.0.

 -- Chris Lamb <lamby@debian.org>  Mon, 11 Feb 2019 17:02:26 +0100

lastpass-cli (1.3.1-6) unstable; urgency=medium

  * Add debian/gbp.conf.
  * Add missing pkg-config to Build-Depends. (Closes: #916268)

 -- Chris Lamb <lamby@debian.org>  Wed, 12 Dec 2018 14:40:27 +0100

lastpass-cli (1.3.1-5) unstable; urgency=medium

  * Add ca-certificates to Depends.
  * Bump Standards-Version to 4.2.1.
  * Use debhelper-compat virtual package and drop debian/compat.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Oct 2018 10:24:17 -0400

lastpass-cli (1.3.1-4) unstable; urgency=medium

  * Ensure we have a HOME directory to avoid flaky autopkgtests.
    (Closes: #903316)

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Jul 2018 18:04:07 +0800

lastpass-cli (1.3.1-3) unstable; urgency=medium

  * Create a ~/.config directory for autopkgtests.
  * Bump Standards-Version to 4.1.5.

 -- Chris Lamb <lamby@debian.org>  Sat, 14 Jul 2018 10:44:35 +0100

lastpass-cli (1.3.1-2) unstable; urgency=medium

  * Update Vcs-* to salsa.debian.org.

 -- Chris Lamb <lamby@debian.org>  Sat, 09 Jun 2018 20:17:52 +0100

lastpass-cli (1.3.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #898940)
    - Use libssl-dev over libssl1.0-dev. (Closes: #858991)
    - Make the build reproducible. (Closes: #842875)
    - Add missing cmake and bash-completion to Build-Depends.
  * Take over maintenance of package - see <https://bugs.debian.org/898940#15>
    for blessing. Thanks to Troy Heber for his previous work on this package.
  * debian/rules:
    - Ensure full hardening even though we are using CMake by setting CFLAGS
      and CXXFLAGS from CPPFLAGS.
    - Install zsh completion script.
  * debian/control:
    - Drop Build-Depends on quilt; we are a 'quilt (3.0)' source format package.
    - Add Suggests: on xclip | xsel.
    - Add Recommends on pinentry-curses.
    - Add Vcs-{Git,Browser} & Homepage headers.
    - Bump Standards-Version to 4.1.4.
  * debian/patches:
    - Drop 0001-cipher-support-opaque-EVP_CIPHER_CTX,
      0002-cipher-drop-p8inf-broken-flag-check &
      0003-pbkdf2-support-openssl-1.1; applied upstream.
    - Replace 0004-build_manpage with an override in debian/rules to
      build lpass.1 manual page and fix location in debian/manpages.
  * Upstream are not providing signed tarballs so override the
    lintian warning debian-watch-does-not-check-gpg-signature.
  * Add some autopkgtest smoke tests.
  * Add a debian/watch file.
  * Bump to debhelper compatibility level 11.
  * Tidy debian/rules, drop empty debian/install file, apply "wrap-and-sort",
    drop whitespace from debian/changelog, re-order fields, drop trailing comma
    on DEB_BUILD_MAINT_OPTIONS line.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Jun 2018 10:31:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,34 @@
 Source: lastpass-cli
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Troy Heber <troyh@debian.org>
-Build-Depends: debhelper (>= 9), quilt (>= 0.47), libssl-dev, libxml2-dev, libcurl4-openssl-dev, asciidoc, xsltproc, docbook-xsl
-Standards-Version: 3.9.8.0
+Maintainer: Chris Lamb <lamby@debian.org>
+Build-Depends:
+ asciidoc,
+ bash-completion,
+ cmake,
+ debhelper-compat (= 11),
+ docbook-xsl,
+ libcurl4-openssl-dev,
+ libssl-dev,
+ libxml2-dev,
+ pkg-config,
+ xsltproc,
+Standards-Version: 4.3.0
+Homepage: https://github.com/lastpass/lastpass-cli
+Vcs-Git: https://salsa.debian.org/lamby/pkg-lastpass-cli.git
+Vcs-Browser: https://salsa.debian.org/lamby/pkg-lastpass-cli
 
 Package: lastpass-cli
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, binutils
+Depends:
+ binutils,
+ ca-certificates,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ pinentry-curses,
+Suggests:
+ xclip | xsel,
 Description: command line interface to LastPass.com
  This application is a command line interface to the LastPass.com services. It
  brings both better security and convenience by allowing you to access, add,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -fno-aggressive-loop-optimizations

include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all doc-man VERBOSE=1

override_dh_auto_install:
	dh_auto_install
	cp contrib/lpass_zsh_completion debian/lastpass-cli/usr/share/zsh/vendor-completions/_lpass

## lastpass-cli 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,30 +1,43 @@
-set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake > 2.8.4 is required
-cmake_minimum_required(VERSION 2.8)
+IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} VERSION_GREATER_EQUAL 3.1)
+  cmake_minimum_required(VERSION 3.1)
+ELSE()
+  set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake > 2.8.4 is required
+  cmake_minimum_required(VERSION 2.8)
+ENDIF()
 
 project(lpass)
-
 include(GNUInstallDirs)
-
 find_package(PkgConfig REQUIRED)
 
-# pkg_get_variable is not available until CMake >= 3.4.0
-# Debian stable still packages CMake 3.0.2
-function(pkg_check_variable _pkg _name)
-  string(TOUPPER ${_pkg} _pkg_upper)
-  string(TOUPPER ${_name} _name_upper)
-  string(REPLACE "-" "_" _pkg_upper ${_pkg_upper})
-  string(REPLACE "-" "_" _name_upper ${_name_upper})
-  set(_output_name "${_pkg_upper}_${_name_upper}")
+IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} VERSION_LESS 3.4)
+  # pkg_get_variable is not available until CMake >= 3.4.0
+  # Debian oldstable still packages CMake 3.0.2
+  function(pkg_get_variable _output_name _pkg _name)
+    execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=${_name} ${_pkg}
+                    OUTPUT_VARIABLE _pkg_result
+                    OUTPUT_STRIP_TRAILING_WHITESPACE)
 
-  execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=${_name} ${_pkg}
-                  OUTPUT_VARIABLE _pkg_result
-                  OUTPUT_STRIP_TRAILING_WHITESPACE)
+    set("${_output_name}" "${_pkg_result}" CACHE STRING "pkg-config variable ${_name} of ${_pkg}")
+  endfunction()
 
-  set("${_output_name}" "${_pkg_result}" CACHE STRING "pkg-config variable ${_name} of ${_pkg}")
-endfunction()
+  pkg_get_variable(BASH_COMPLETION_PREFIX bash-completion prefix)
+  if(BASH_COMPLETION_PREFIX)
+    set(BASH_COMPLETION_FOUND TRUE)
+  endif()
+
+ELSE()
+
+  include(FindPkgConfig)
+  pkg_search_module(BASH_COMPLETION bash-completion)
+
+ENDIF()
 
 if((APPLE) AND (NOT DEFINED OPENSSL_ROOT_DIR))
   set(OPENSSL_ROOT_DIR "/usr/local/opt/openssl")
+endif()
+
+if((APPLE))
+  set(ENV{PKG_CONFIG_PATH} "/usr/local/opt/curl/lib/pkgconfig")
 endif()
 
 find_package(LibXml2 REQUIRED)
@@ -36,11 +49,9 @@
 find_package(CURL REQUIRED)
 include_directories(${CURL_INCLUDE_DIR})
 
-pkg_check_variable(bash-completion completionsdir)
-
 set(PROJECT_NAME lpass)
 
-file(GLOB PROJECT_HEADERS *.h)
+file(GLOB PROJECT_HEADERS *.h version.h)
 file(GLOB PROJECT_SOURCES *.c)
 
 set(PROJECT_DEFINITIONS "_GNU_SOURCE")
@@ -49,6 +60,9 @@
 if(APPLE)
   set(PROJECT_FLAGS "${PROJECT_FLAGS} -Wno-deprecated-declarations")
 endif()
+
+execute_process(COMMAND ./LASTPASS-VERSION-GEN
+	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
 
 # Main lpass executable
 add_executable(${PROJECT_NAME} ${PROJECT_HEADERS} ${PROJECT_SOURCES})
@@ -69,8 +83,18 @@
         COMMAND asciidoc -b html5 -a data-uri -a icons -a toc2 -o lpass.1.html ${CMAKE_SOURCE_DIR}/lpass.1.txt)
 
 install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin)
-if(BASH_COMPLETION_COMPLETIONSDIR)
-install(FILES contrib/lpass_bash_completion DESTINATION ${BASH_COMPLETION_COMPLETIONSDIR} RENAME lpass)
+
+if(BASH_COMPLETION_FOUND)
+  pkg_get_variable(BASH_COMPLETION_COMPLETIONSDIR bash-completion completionsdir)
+
+  # Fix GH-478
+  if(NOT "${BASH_COMPLETION_PREFIX}" STREQUAL "${CMAKE_INSTALL_PREFIX}")
+    string(REGEX REPLACE "^${BASH_COMPLETION_PREFIX}" "${CMAKE_INSTALL_PREFIX}" COMP_DIR ${BASH_COMPLETION_COMPLETIONSDIR})
+    set(BASH_COMPLETION_COMPLETIONSDIR ${COMP_DIR})
+    unset(COMP_DIR)
+  endif()
+
+  install(FILES contrib/lpass_bash_completion DESTINATION ${BASH_COMPLETION_COMPLETIONSDIR} RENAME lpass)
 endif()
 
 # Test lpass executable with mock server, link against test versions first

=== Makefile ===
PREFIX ?= /usr
MANDIR ?= $(PREFIX)/share/man
BUILDDIR=build
CMAKEMAKE=$(BUILDDIR)/Makefile
CMAKEOPTS=-DCMAKE_INSTALL_PREFIX:PATH=$(PREFIX) -DCMAKE_INSTALL_MANDIR:PATH=$(MANDIR)

all: $(CMAKEMAKE)
	$(MAKE) -C $(BUILDDIR) all

clean: $(CMAKEMAKE)
	$(MAKE) -C $(BUILDDIR) clean
	$(RM) -r $(BUILDDIR)

doc-man: $(CMAKEMAKE)
	$(MAKE) -C $(BUILDDIR) doc-man

doc-html: $(CMAKEMAKE)
	$(MAKE) -C $(BUILDDIR) doc-html

install-doc: $(CMAKEMAKE)
	$(MAKE) -C $(BUILDDIR) install-doc

install: $(CMAKEMAKE)
	$(MAKE) -C $(BUILDDIR) install

test: $(CMAKEMAKE)
	$(MAKE) -C $(BUILDDIR) lpass-test && $(MAKE) -C $(BUILDDIR) test

uninstall: $(CMAKEMAKE)
	$(MAKE) -C $(BUILDDIR) uninstall

$(CMAKEMAKE):
	./LASTPASS-VERSION-GEN && mkdir -p $(BUILDDIR) && cd $(BUILDDIR) && cmake $(CMAKEOPTS) ..

.PHONY: all doc-man clean $(CMAKEMAKE)

=== debian/changelog ===
lastpass-cli (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove version.h in clean target to avoid source modification issues.

 -- Chris Lamb <lamby@debian.org>  Wed, 27 Mar 2019 10:45:58 -0400

## lastpass-cli 1.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} VERSION_GREATER_EQUAL 3.1)
-  cmake_minimum_required(VERSION 3.1)
-ELSE()
+IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} VERSION_LESS 3.1)
   set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake > 2.8.4 is required
   cmake_minimum_required(VERSION 2.8)
+ELSE()
+  cmake_minimum_required(VERSION 3.1)
 ENDIF()
 
 project(lpass)
@@ -37,7 +37,7 @@
 endif()
 
 if((APPLE))
-  set(ENV{PKG_CONFIG_PATH} "/usr/local/opt/curl/lib/pkgconfig")
+  set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/opt/curl/lib/pkgconfig")
 endif()
 
 find_package(LibXml2 REQUIRED)

=== debian/changelog ===
lastpass-cli (1.3.3-4) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix FTBFS with GCC 10.0. (Closes: #957416)
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper compat level to 13.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Chris Lamb <lamby@debian.org>  Wed, 22 Jul 2020 11:12:41 +0100

lastpass-cli (1.3.3-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Ensure the tests call the top-level Makefile's "test" target as that builds
    the required lpass-test binary.
  * Move to debhelper-compat level 12.
  * Bump Standards-Version to 4.4.1.
  * Specify Rules-Requires-Root: no.
  * Replace deprecated variables with AUTOPKGTEST_TMP.

  [ Helmut Grohne ]
  * Fix cross-build FTBFS by specifying debhelper runs CMake. (Closes: #947209)

 -- Chris Lamb <lamby@debian.org>  Mon, 23 Dec 2019 10:24:33 +0000

lastpass-cli (1.3.3-2) unstable; urgency=medium

  * Sourceful upload to unstable to ensure migration to testing.
  * Bump Standards-Version to 4.4.0.
  * Don't build release tags in gitlab-ci.yml.

 -- Chris Lamb <lamby@debian.org>  Sat, 20 Jul 2019 17:13:20 -0300

lastpass-cli (1.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Apr 2019 18:00:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
  asciidoc,
  bash-completion,
  cmake,
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  docbook-xsl,
  libcurl4-openssl-dev,
  libssl-dev,
  libxml2-dev,
  pkg-config,
  xsltproc,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/lastpass/lastpass-cli
 Vcs-Git: https://salsa.debian.org/lamby/pkg-lastpass-cli.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-lastpass-cli
+Rules-Requires-Root: no
 
 Package: lastpass-cli
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,18 @@
 CXXFLAGS += $(CPPFLAGS)
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake --builddirectory=build
 
 override_dh_auto_build:
-	dh_auto_build -- all doc-man VERBOSE=1
+	dh_auto_build -- all doc-man
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f version.h
 
 override_dh_auto_install:
 	dh_auto_install
 	cp contrib/lpass_zsh_completion debian/lastpass-cli/usr/share/zsh/vendor-completions/_lpass
+
+override_dh_auto_test:
+	dh_auto_test --buildsystem=makefile --builddirectory=.

## lastpass-cli 1.3.4

=== debian/changelog ===
lastpass-cli (1.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 17 Dec 2022 10:19:29 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libxml2-dev,
  pkg-config,
  xsltproc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/lastpass/lastpass-cli
 Vcs-Git: https://salsa.debian.org/lamby/pkg-lastpass-cli.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-lastpass-cli

## lastpass-cli 1.3.6

=== debian/changelog ===
lastpass-cli (1.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 09 Sep 2023 09:52:20 -0700

lastpass-cli (1.3.5-2) unstable; urgency=medium

  * Always use the Debian version number. (Closes: #1051218)

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Sep 2023 10:12:30 -0700

lastpass-cli (1.3.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #1050973)

 -- Chris Lamb <lamby@debian.org>  Thu, 31 Aug 2023 16:37:52 -0700

lastpass-cli (1.3.4-2) unstable; urgency=medium

  * Also clean test/.lpass directory. (Closes: #1048723)

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Aug 2023 13:44:44 -0700

## lastpass-cli 1.3.7

=== Makefile ===
--- 
+++ 
@@ -30,6 +30,6 @@
 	$(MAKE) -C $(BUILDDIR) uninstall
 
 $(CMAKEMAKE):
-	./LASTPASS-VERSION-GEN && mkdir -p $(BUILDDIR) && cd $(BUILDDIR) && cmake $(CMAKEOPTS) ..
+	mkdir -p $(BUILDDIR) && cd $(BUILDDIR) && cmake $(CMAKEOPTS) ..
 
 .PHONY: all doc-man clean $(CMAKEMAKE)

=== debian/changelog ===
lastpass-cli (1.3.7-1~deb12u1) bookworm; urgency=medium

  * Upload latest upstream version to fix compatability with Lastpass's
    SSL keys. (Closes: #1055876)

 -- Chris Lamb <lamby@debian.org>  Thu, 30 Nov 2023 10:16:57 +0000

lastpass-cli (1.3.7-1) unstable; urgency=medium

  * New upstream release. (Closes: #1055876)
  * Drop 0001-Fix-FTBFS-with-GCC-10.0.patch; applied upstream.

 -- Chris Lamb <lamby@debian.org>  Mon, 13 Nov 2023 12:40:41 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libxml2-dev,
  pkg-config,
  xsltproc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/lastpass/lastpass-cli
 Vcs-Git: https://salsa.debian.org/lamby/pkg-lastpass-cli.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-lastpass-cli

## lastpass-cli 1.4.0

=== debian/changelog ===
lastpass-cli (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 20 Apr 2024 09:40:11 +0100

## lastpass-cli 1.5.0

=== debian/changelog ===
lastpass-cli (1.5.0-2) unstable; urgency=medium

  * Fix FTBFS with GCC 14. (Closes: #1075129)

 -- Chris Lamb <lamby@debian.org>  Sun, 28 Jul 2024 11:22:07 +0100

lastpass-cli (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 18 May 2024 09:16:54 +0100

## lastpass-cli 1.6.0

=== debian/changelog ===
lastpass-cli (1.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop 0002-Fix-FTBFS-with-GCC-14.patch; similar change applied upstream.
  * Bump Standards-Version to 4.7.0.

 -- Chris Lamb <lamby@debian.org>  Sat, 17 Aug 2024 10:23:21 +0100

## lastpass-cli 1.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} VERSION_LESS 3.1)
+if(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} VERSION_LESS 3.1)
   set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake > 2.8.4 is required
   cmake_minimum_required(VERSION 2.8)
-ELSE()
+else()
   cmake_minimum_required(VERSION 3.1)
-ENDIF()
+endif()
 
 project(lpass)
 include(GNUInstallDirs)
 find_package(PkgConfig REQUIRED)
 
-IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} VERSION_LESS 3.4)
+if(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} VERSION_LESS 3.4)
   # pkg_get_variable is not available until CMake >= 3.4.0
   # Debian oldstable still packages CMake 3.0.2
   function(pkg_get_variable _output_name _pkg _name)
@@ -25,19 +25,64 @@
     set(BASH_COMPLETION_FOUND TRUE)
   endif()
 
-ELSE()
+else()
 
   include(FindPkgConfig)
   pkg_search_module(BASH_COMPLETION bash-completion)
 
-ENDIF()
-
-if((APPLE) AND (NOT DEFINED OPENSSL_ROOT_DIR))
-  set(OPENSSL_ROOT_DIR "/usr/local/opt/openssl")
 endif()
 
-if((APPLE))
-  set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/opt/curl/lib/pkgconfig")
+if(APPLE)
+  find_program(BREW_INSTALLED BREW)
+
+  if(BREW_INSTALLED)  
+    function(get_brew_packageconfig_path _package_name _output_variable)
+      execute_process(COMMAND brew --cellar ${_package_name}
+                      RESULT_VARIABLE _result_var_cellar
+                      OUTPUT_VARIABLE _output_variable_cellar
+                      OUTPUT_STRIP_TRAILING_WHITESPACE)
+
+      if(_result_var_cellar AND NOT STATUS EQUAL 0)
+        message(STATUS "Unable to obtain homebrew cellar location for package ${_package_name}. Error: ${_result_var_cellar}")
+      else()
+        execute_process(COMMAND find "${_output_variable_cellar}/" -type d -name pkgconfig
+                        COMMAND tr -d '\n'
+                        COMMAND tr -s '/'
+                        RESULT_VARIABLE _brew_pkgconfig_c
+                        OUTPUT_VARIABLE _brew_pkgconfig_cellar
+                        OUTPUT_STRIP_TRAILING_WHITESPACE)
+      endif()
+
+      execute_process(COMMAND brew --prefix ${_package_name}
+                      RESULT_VARIABLE _result_var_prefix
+                      OUTPUT_VARIABLE _output_variable_prefix
+                      OUTPUT_STRIP_TRAILING_WHITESPACE)
+      
+      if(_result_var_prefix AND NOT STATUS EQUAL 0)
+        message(STATUS "Unable to obtain homebrew prefix location for package ${_package_name}. Error: ${_result_var_cellar}")
+      else()
+        execute_process(COMMAND find "${_output_variable_prefix}/" -type d -name pkgconfig
+                        COMMAND tr -d '\n'
+                        COMMAND tr -s '/'
+                        RESULT_VARIABLE _brew_pkgconfig_p
+                        OUTPUT_VARIABLE _brew_pkgconfig_prefix
+                        OUTPUT_STRIP_TRAILING_WHITESPACE)
+      endif()
+
+      set("${_output_variable}" "${_brew_pkgconfig_cellar}:${_brew_pkgconfig_prefix}" CACHE STRING "pkg-config homebrew locations for ${_package_name}")
+
+    endfunction()
+
+    # Get pkg-config paths for curl/openssl installed via homebrew
+    get_brew_packageconfig_path("curl" BREW_CURL)
+    get_brew_packageconfig_path("openssl" BREW_OPENSSL)
+
+    set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}/usr/local/opt/curl/lib/pkgconfig:/usr/local/opt/openssl:${BREW_CURL}:${BREW_OPENSSL}")
+    message(STATUS "PKG_CONFIG_PATH: $ENV{PKG_CONFIG_PATH}")
+  else()
+    set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/opt/curl/lib/pkgconfig:/usr/local/opt/openssl")
+  endif()
+
 endif()
 
 find_package(LibXml2 REQUIRED)

=== debian/changelog ===
lastpass-cli (1.6.1-4) unstable; urgency=medium

  * Fix compatibility with CMake 4.0. (Closes: #1113094)
  * Don't use the old FSF address in debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Tue, 02 Sep 2025 10:28:27 -0700

lastpass-cli (1.6.1-3) unstable; urgency=medium

  * Apply patch from @ncopa on Github issue to fix a compatibility issue with
    OpenSSL 3.5. (Re: #1092429)

 -- Chris Lamb <lamby@debian.org>  Tue, 20 May 2025 10:40:46 -0700

lastpass-cli (1.6.1-2) unstable; urgency=medium

  * Don't fail the build if the testsuite fails. The underlying package works
    successfully, but the test harness supplied by upstream is regrettably,
    currently buggy. (Closes: #1092429)
  * Bump Standards-Version to 4.7.2.

 -- Chris Lamb <lamby@debian.org>  Mon, 19 May 2025 11:27:38 -0700

lastpass-cli (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Nov 2024 08:29:06 +0000

=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,14 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f version.h
+	rm -rf version.h test/.lpass
 
 override_dh_auto_install:
 	dh_auto_install
 	cp contrib/lpass_zsh_completion debian/lastpass-cli/usr/share/zsh/vendor-completions/_lpass
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
+
 override_dh_auto_test:
 	dh_auto_test --buildsystem=makefile --builddirectory=.

=== debian/tests/control ===
Tests: 0001-smoke-test
Depends: @, shunit2
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/lastpass/@PACKAGE@/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
